D2I_X509_ALGOR(3)

NAME
d2i_X509_ALGOR, i2d_X509_ALGOR - decode and encode algorithm identifiers

SYNOPSIS
#include <openssl/x509.h>
X509_ALGOR *
d2i_X509_ALGOR(X509_ALGOR **val_out, unsigned char **der_in, long length);
int
i2d_X509_ALGOR(X509_ALGOR *val_in, unsigned char **der_out);

DESCRIPTION
d2i_X509_ALGOR() and i2d_X509_ALGOR() decode and encode an ASN.1 AlgorithmIdentifier structure defined in RFC 5280 section 4.1.1.2. For details about the semantics, examples, caveats, and bugs, see ASN1_item_d2i(3).

SEE ALSO
ASN1_item_d2i(3), X509_ALGOR_new(3)

STANDARDS
RFC 5280: Internet X.509 Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile

HISTORY
d2i_X509_ALGOR() and i2d_X509_ALGOR() appeared before SSLeay 0.8 and have been available since OpenBSD 2.4.